Description

The icon shown for a firewall log entry that is for a "reject" rule is the red cross symbol.

It should display the yellow cross symbol, like the firewall rules display.

History

#1 - 11/02/2015 12:10 AM - Phillip Davis

See pull request https://github.com/pfsense/pfsense/pull/2012 for RELENG_2_2.

If this is acceptable, then the necessary code needs to be done in master for 2.3 also.

#2 - 11/02/2015 10:51 AM - Chris Buechler

- Status changed from New to Confirmed

- Target version changed from 2.2.5 to 2.3

There are performance concerns here (discussed on above pull request), that's how it's always worked, and we're probably building 2.2.5-RELEASE

today, so let's move this to 2.3.

#3 - 11/02/2015 10:58 AM - Phillip Davis

Yes, sure.

Note that I have submitted a pull request https://github.com/pfsense/pfsense/pull/2014 to fix just the problem in the firewall log dynamic view where

the rule display popup does not work for log rows that get dynamically added by the AJAX code. I think that should be trivial to fix.

#4 - 02/05/2016 12:36 PM - Renato Botelho

- Status changed from Confirmed to Needs Patch

- Priority changed from Normal to Low

- Target version changed from 2.3 to Future

When it's ready, without cause any performance problem, we can integrate on next major version

#5 - 02/08/2016 04:40 AM - Phillip Davis

Yes, I will look at it some time. There is no rush to do this in 2.3

#6 - 07/16/2016 01:16 AM - Chris Buechler

- Target version deleted (Future)
